package jp.sourceforge.cfneo.at4ie2.api.test;

public enum LocatorTypeEnum {

	IDENTIFIER("identifier"),
	ID("id"),
	NAME("name"),
	DOM("dom"),
	XPATH("xpath"),
	LINK("link"),
	OTHER("other"),
	VALUE("value");

	private String value;

	LocatorTypeEnum(String value) {
		this.value = value;
	}
	public static LocatorTypeEnum get(String value) {
		LocatorTypeEnum[] items = LocatorTypeEnum.values();
		for (LocatorTypeEnum item: items) {
			if (item.toString().equals(value)) {
				return item;
			}
		}
		return OTHER;
	}
	public String toString() {
		return this.value;
	}

}
